! copyright (c) 2008 Swedish Defence Research Agency (FOI) 
! may not be copied or distributed without written permission from FOI



      MODULE FWYTa

      IMPLICIT NONE

      REAL*8,  DIMENSION(:), ALLOCATABLE :: TLNFW, TLNWF
      COMPLEX*16,  DIMENSION(:), ALLOCATABLE :: YT1FW, YT2FW, YT3FW, YT4FW, YT5FW, YT6FW, 
     & YT1WF, YT2WF, YT3WF, YT4WF, YT5WF, YT6WF
C     element "id" is at depth "zd(id)" for "upwards through layer id" and 
C     at depth "zd(id-1)" for "downwards through layer id", 
C     on the "lower side" but note that 
C     "ys1 at interface with solid above" is "just before fluid"; 
      REAL*8,  DIMENSION(:), ALLOCATABLE :: TLNOPT
      COMPLEX*16,  DIMENSION(:), ALLOCATABLE :: YT1OPT, YT2OPT, YT3OPT, YT4OPT, YT5OPT, YT6OPT
ccc	EQUIVALENCE (TLNOPT,TLNWF), (YT1OPT,YT1WF), (YT2OPT,YT2WF), 
ccc     $	(YT3OPT,YT3WF), (YT4OPT,YT4WF), (YT5OPT,YT5WF), (YT6OPT,YT6WF)

      SAVE

      END MODULE FWYTa
